Summary #

Netsparker identified that the target web server is disclosing the RubyGems version in its HTTP response. This information might help an attacker gain a greater understanding of the systems in use and potentially develop further attacks targeted at the specific version of RubyGems.

Impact #
An attacker might use the disclosed information to harvest specific security vulnerabilities for the version identified.
Remediation #
Configure your web server to prevent information leakage from its HTTP response.
Classifications #
CAPEC-170, CWE-205, HIPAA-205, ISO27001-A.18.1.3, WASC-45, OWASP 2013-A5, OWASP 2017-A6
Vulnerability Index

Vulnerability Index

You can search and find all vulnerabilities

OR

Search Vulnerability

Netsparker

Dead accurate, fast & easy-to-use Web Application Security Scanner

GET A DEMO